Skip to content

Get One Schedule

GET /public/schedule/{scheduleId}

Retrieve full details for a specific scheduled post, including its content, target platform, and execution status.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Premium+

Parameters

ParameterTypeRequiredDescription
scheduleIdstringYesThe unique identifier of the scheduled post.

Example Request

bash
curl -X GET "https://api.repliz.com/public/schedule/680affa5ce12f2f72916f67e" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const scheduleId = '680affa5ce12f2f72916f67e';

const response = await axios.get(`https://api.repliz.com/public/schedule/${scheduleId}`, {
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY'
  }
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const scheduleId = '680affa5ce12f2f72916f67e';

const response = await fetch(`https://api.repliz.com/public/schedule/${scheduleId}`, {
  headers: {
    'Authorization': `Basic ${credentials}`
  }
});

const data = await response.json();
console.log(data);

Response

json
{
  "_id": "69c7532ff0c3b7c83ab9e681",
  "title": "Title of Content",
  "description": "Description/Caption of Content",
  "topic": "Content AI",
  "type": "text",
  "medias": [
    {
      "alt": "image of cat",
      "type": "image",
      "thumbnail": "https://storage.repliz.com/thumbnail.jpg",
      "url": "https://storage.repliz.com/video.mp4"
    }
  ],
  "meta": {
    "title": "Repliz: Smart Comment Management for All Platforms",
    "description": "Repliz helps you manage comments from YouTube, Facebook, Instagram, Threads, TikTok and LinkedIn, all in one app. Automate replies, filter spam, and save time.",
    "url": "https://repliz.com"
  },
  "status": "pending",
  "scheduleAt": "2026-03-28T04:02:32.050Z",
  "replies": [
    {
      "title": "Title of Content",
      "description": "Description/Caption of Content",
      "topic": "Content AI",
      "type": "text",
      "medias": [
        {
          "alt": "image of cat",
          "type": "image",
          "thumbnail": "https://storage.repliz.com/thumbnail.jpg",
          "url": "https://storage.repliz.com/video.mp4"
        }
      ],
      "status": "pending"
    }
  ],
  "accountId": "69686c4c41ec8ac5117c8929",
  "userId": "6879b98097fc8c8a78d1d4c1",
  "createdAt": "2026-03-28T04:03:59.523Z",
  "updatedAt": "2026-03-28T04:03:59.523Z",
  "__v": 0,
  "account": {
    "_id": "69686c4c41ec8ac5117c8929",
    "generatedId": "113958387982006",
    "name": "Halaman ke 3",
    "username": "Cafe",
    "picture": "https://scontent-cgk2-1.xx.fbcdn.net/v/t39.30808-1/281663458_113958441315334_...",
    "isConnected": true,
    "type": "facebook",
    "userId": "6879b98097fc8c8a78d1d4c1",
    "createdAt": "2026-01-15T04:25:48.838Z",
    "updatedAt": "2026-03-24T14:00:00.873Z",
    "__v": 0,
    "id": "69686c4c41ec8ac5117c8929"
  },
  "id": "69c7532ff0c3b7c83ab9e681"
}
json
{
  "code": 404,
  "message": "schedule not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}